pluginManagement {
    includeBuild("build-logic")
    repositories {
        google()
        mavenCentral()

        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
        maven("https://pkgs.dev.azure.com/csense-oss/csense-oss/_packaging/csense-oss/maven/v1")
        maven("https://jitpack.io")
    }

}
rootProject.name = "Gravid App"
include(":TestAssertions")
include(":shared")
include(":repo")
include(":api")
include(":app")
